using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class test_table_adapter : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		DataSetBanque ds = new DataSetBanque();
		
		// instancier le TableAdapter de compte 
		// et charger la table du DataSet
		DataSetBanqueTableAdapters.compteTableAdapter da_compte = new DataSetBanqueTableAdapters.compteTableAdapter();
		da_compte.Fill(ds.compte);

		// instancier le TableAdapter d'opération
		// et charger la table du DataSet
		DataSetBanqueTableAdapters.operationTableAdapter da_op = new DataSetBanqueTableAdapters.operationTableAdapter();
		//da_op.Fill(ds.operation);

		// afficher la table compte
		GridView1.DataSource = ds.compte;
		GridView1.DataBind();

		// utiliser les requêtes supplémentaires
		int? nb_comptes = da_compte.GetNombreDeComptes();
    }
}
